﻿
@using ASHNA.Models

@{

    ASHNAEntities db = new ASHNAEntities();
    <section class="content">
        <div class="row">
            <div class="col-md-12 col-lg-12">
                <div class="box box-solid box-primary">
                    <div class="box-header">
                        <h3 class="box-title">Users, Groups and Roles</h3>
                        <div class="box-tools pull-right">
                            <button class="btn btn-primary btn-sm" data-widget="collapse"><i class="fa fa-minus"></i></button>
                        </div>
                    </div>
                    <div>
                        <div class="nav-tabs-custom box-body">
                            <ul class="nav nav-tabs">
                                <li class="active"><a href="#tab_1" data-toggle="tab">Users</a></li>
                                <li><a href="#tab_2" data-toggle="tab">Groups</a></li>
                                <li><a href="#tab_3" data-toggle="tab">Roles</a></li>
                            </ul>
                            <div class="tab-content">
                                <div class="tab-pane active" id="tab_1">
                                    <div class="row">
                                        <div class="box-body table-responsive col-lg-4 col-md-4">
                                            <table id="userstable" class="table table-bordered table-striped">
                                                <thead>
                                                    <tr>
                                                        <th>User ID</th>
                                                        <th>Username</th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    @foreach (var u in db.Users.ToList())
                                                    {
                                                        <tr>
                                                            <td><a href="#" onclick="setUserData(@u.ID)">@u.ID</a></td>
                                                            <td><a href="#" onclick="setUserData(@u.ID)">@u.Username</a></td>
                                                        </tr>
                                                    }
                                                </tbody>
                                            </table>
                                        </div>
                                        <div class="col-lg-8 col-md-8">
                                            <div class="box box-info">
                                                <div class="box-header">
                                                    <h3 class="box-title">User Info:</h3>
                                                </div>
                                                <div class="box-body">
                                                    <div class="row">
                                                        <div class="col-lg-6 col-md-6">
                                                            <div class="input-group">
                                                                <span class="input-group-addon">Username</span>
                                                                <input class="form-control" id="user_username" type="text" placeholder="Username" readonly>
                                                            </div>
                                                        </div>
                                                        <div class="col-lg-6 col-md-6">
                                                            <div class="input-group">
                                                                <span class="input-group-addon">Email</span>
                                                                <input class="form-control" id="user_email" type="text" placeholder="Email" readonly>
                                                            </div>
                                                            <br />
                                                        </div>
                                                        <div class="col-lg-6 col-md-6">
                                                            <div class="input-group">
                                                                <span class="input-group-addon">First Name</span>
                                                                <input class="form-control" id="user_fname" type="text" placeholder="First Name" readonly>
                                                            </div>
                                                        </div>
                                                        <div class="col-lg-6 col-md-6">
                                                            <div class="input-group">
                                                                <span class="input-group-addon">Last Name</span>
                                                                <input class="form-control" id="user_lname" type="text" placeholder="Last Name" readonly>
                                                            </div>
                                                            <br />
                                                        </div>
                                                        <div class="col-lg-6 col-md-6">
                                                            <div class="input-group">
                                                                <span class="input-group-addon">Phone</span>
                                                                <input class="form-control" id="user_phone" type="text" placeholder="Phone" readonly>
                                                            </div>
                                                            <br />
                                                        </div>
                                                        <div class="col-lg-12 col-md-12">
                                                            <div class="form-group">
                                                                <label>Groups:</label>
                                                                <textarea disabled="" class="form-control" id="user_groups" placeholder="Groups" rows="3"></textarea>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div><!-- /.box-body -->
                                                <div class="box-footer">
                                                    <button class="btn btn-primary">Edit</button>
                                                </div>
                                            </div>
                                        </div>
                                    </div><!-- /.box-body -->
                                </div><!-- /.tab-pane -->
                                <div class="tab-pane" id="tab_2">
                                    <div class="row">
                                        <div class="box-body table-responsive col-lg-4 col-md-4">
                                            <table id="groupstable" class="table table-bordered table-striped">
                                                <thead>
                                                    <tr>
                                                        <th>Group ID</th>
                                                        <th>Name</th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    @foreach (var g in db.Groups.ToList())
                                                    {
                                                        <tr>
                                                            <td><a href="#" onclick="setGroupData(@g.ID)">@g.ID</a></td>
                                                            <td><a href="#" onclick="setGroupData(@g.ID)">@g.Name</a></td>
                                                        </tr>
                                                    }
                                                </tbody>
                                            </table>
                                        </div><!-- /.box-body -->
                                        <div class="col-lg-8 col-md-8">
                                            <div class="box box-info">
                                                <div class="box-header">
                                                    <h3 class="box-title">User Info:</h3>
                                                </div>
                                                <div class="box-body">
                                                    <div class="row">
                                                        <div class="col-lg-12 col-md-12">
                                                            <div class="form-group">
                                                                <label>Description:</label>
                                                                <textarea disabled="" class="form-control" id="group_desc" placeholder="Description" rows="3"></textarea>
                                                            </div>
                                                        </div>
                                                        <div class="col-lg-12 col-md-12">
                                                            <div class="form-group">
                                                                <label>Roles:</label>
                                                                <textarea disabled="" class="form-control" id="group_roles" placeholder="Roles" rows="3"></textarea>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div><!-- /.box-body -->
                                            </div>
                                        </div>
                                    </div>
                                </div><!-- /.tab-pane -->
                                <div class="tab-pane" id="tab_3">
                                    <div class="row">
                                        <div class="box-body table-responsive col-lg-4 col-md-4">
                                            <table id="userstable" class="table table-bordered table-striped">
                                                <thead>
                                                    <tr>
                                                        <th>Role ID</th>
                                                        <th>Name</th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    @foreach (var r in db.Roles.ToList())
                                                    {
                                                        <tr>
                                                            <td><a href="#" onclick="setRoleData(@r.ID)">@r.ID</a></td>
                                                            <td><a href="#" onclick="setRoleData(@r.ID)">@r.Name</a></td>
                                                        </tr>
                                                    }
                                                </tbody>
                                            </table>
                                        </div><!-- /.box-body -->
                                        <div class="col-lg-8 col-md-8">
                                            <div class="box box-info col-md-4 col-lg-4">
                                                <div class="box-header">
                                                    <h3 class="box-title">User Info:</h3>
                                                </div>
                                                <div class="box-body">
                                                    <div class="row">
                                                        <div class="col-lg-6 col-md-6">
                                                            <div class="input-group">
                                                                <span class="input-group-addon">Role Value</span>
                                                                <input class="form-control" id="role_value" type="text" placeholder="Role value" readonly>
                                                            </div>
                                                            <br />
                                                        </div>
                                                        <div class="col-lg-12 col-md-12">
                                                            <div class="form-group">
                                                                <label>Assigned To Groups:</label>
                                                                <textarea disabled="" class="form-control" id="role_groups" placeholder="Assigned To Groups" rows="3"></textarea>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div><!-- /.box-body -->
                                            </div>
                                        </div>
                                    </div>
                                </div><!-- /.tab-pane -->

                            </div><!-- /.tab-content -->
                        </div><!-- nav-tabs-custom -->

                    </div><!-- /.box-body -->
                </div>
            </div>

            @*<div class="col-md-12 col-lg-12">
                    <div class="box box-primary">
                        <div class="box-header" style="cursor: move;">
                            <i class="ion ion-clipboard"></i>
                            <h3 class="box-title">To Do List</h3>
                            <div class="box-tools pull-right">
                                <button class="btn btn-primary btn-sm" data-widget="collapse"><i class="fa fa-minus"></i></button>
                            </div>
                        </div>
                        <!-- /.box-header -->
                        <div class="box-body">
                            <div>
                                <div class="input-group">
                                    <span class="input-group-addon">@</span>
                                    <input class="form-control" type="text" placeholder="Username">
                                </div>
                                <div class="input-group">
                                    <span class="input-group-addon">@</span>
                                    <input class="form-control" type="text" placeholder="Username">
                                </div>
                                <div class="input-group">
                                    <span class="input-group-addon">@</span>
                                    <input class="form-control" type="text" placeholder="Username">
                                </div>
                            </div>
                        </div>
                        <!-- /.box-body -->
                        <div class="box-footer clearfix no-border">
                            <button class="btn btn-default pull-right">
                                <i class="fa fa-plus"></i> Add item
                            </button>
                        </div>
                    </div>
                </div>*@
        </div><!-- /.row -->
    </section>
}
<script>
    function setUserData(id) {
        $.post('/Dashboard/Users/GetUserInfo/' + id, function (data) {
            $('#user_username').val(data.username);
            $('#user_email').val(data.email);
            $('#user_lname').val(data.lname);
            $('#user_fname').val(data.fname);
            $('#user_phone').val(data.phone);
            $('#user_groups').val(data.groups.join());
        })
    }
    function setGroupData(id) {
        $.post('/Dashboard/Users/GetGroupInfo/' + id, function (data) {
            $('#group_desc').val(data.desc);
            $('#group_roles').val(data.roles.join());
        })
    }
    function setRoleData(id) {
        $.post('/Dashboard/Users/GetRoleInfo/' + id, function (data) {
            $('#role_value').val(data.value);
            $('#role_groups').val(data.groups.join());
        })
    }
</script>